<?php

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

function forumial_sso_installation() {
    global $wpdb;
    $table_name = $wpdb->prefix . "forumial_sso_clients";
    // $my_products_db_version = '1.0.0';
    $charset_collate = '';
    
    if ( ! empty( $wpdb->charset ) ) {
        $charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
    }
    
    if ( ! empty( $wpdb->collate ) ) {
        $charset_collate .= " COLLATE {$wpdb->collate}";
    }
    
    
    if ( $wpdb->get_var("SHOW TABLES LIKE '{$table_name}'") != $table_name ) {
        $sql = "
            CREATE TABLE $table_name (
                `id` VARCHAR(100) NOT NULL UNIQUE,
                `client_id` VARCHAR(100) NOT NULL,
                `user_id` VARCHAR(80) NOT NULL,
                `redirect_uri` VARCHAR(2000) DEFAULT NULL,
                `expires` DATETIME DEFAULT NULL,
                `created` DATETIME NOT NULL,
                PRIMARY KEY  (id)
            ) $charset_collate;
        ";
    
        require_once ABSPATH . 'wp-admin/includes/upgrade.php';
        dbDelta($sql);
        // add_option('my_db_version', $my_products_db_version);
    }
}

forumial_sso_installation();

